Subject: bug#35602: 26.1; emacsclient doesn't go to the desired line

From: Eli Zaretskii <[email-masked]>
Date: Wed, 08 May 2019 09:07:09 +0300

[Please use Reply to All to have the bug address on the CC list.]

> From: Robert Parlett <[email-masked]>
> Date: Tue, 7 May 2019 23:38:14 +0100
> 
> Thank you for your reply.  
> 
> I find that if the variable you mention (switch-to-buffer-preserve-window-point) is set to nil, then the problem is
> indeed averted.

Thanks.  Did you also try the patch?  It doesn't change the value of
that variable, only binds it temporarily while Emacs changes the
buffer in the selected window.

> I should have mentioned in my original report that this bug wasn't present in previous versions; it appeared
> after an update to emacs 26.1 from (I think) 25.2.

That's because Emacs 26 changed the default of that variable to t.